​
Select Service
ves-io-schema-alert_policy-API-List
Published April 5, 2023 | Last modified September 8, 2026
Examples of listing alert_policy
Usecase:
List alert_policy.
Request using vesctl:
vesctl configuration list alert_policy --namespace documentation
vesctl yaml response:
errors: []items:- annotations: {} labels: {} name: object-1 namespace: documentation statusSet: [] tenant: acmecorp uid: 8a5b9b31-deb2-482a-b004-472475027f30Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1655461974_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/alert_policys'curl response
HTTP/1.1 200 OKContent-Length: 438Content-Type: application/jsonDate: Fri, 19 Jun 2026 22:02:13 GMTVary: Accept-Encoding
{ "items": [ { "tenant": "acmecorp", "namespace": "documentation", "name": "object-1", "uid": "8a5b9b31-deb2-482a-b004-472475027f30", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] } ], "errors": [ ]}